---------------------------------------------------------------------------
      NO LONGER UPDATED - Please use the web-svn interface:
      http://qe-forge.org/scm/browser.php?group_id=10
---------------------------------------------------------------------------

08 Feb 2005 Added to the atomic code the generation of Projector Augmented
            Wave setups. Experimental. (GF)

13 Dec 2004 sph_bes.f90 in flib was incorrect for some high value of l (SdG)

 1 Dec 2004 Hubbard forces were wrong in the case npsin.eq.1 (SdG)
            Added new example (contributed by Yosuke Kanai) on using cp.x
            with the string method (SMD) to find minimum energy path (MEP).
            [Gerardo]
            Added "cvs2cl.pl" script as suggested by Axel to produce
            a detailed ChangeLog from CVS commit message (PG)

29 Nov 2004 Documentation updated (PG)

26 Nov 2004 Cleanup of the pwscf molecular dynamics stuff. Velocity 
            rescaling fully implemented.
            Documentation updated. Unused variables and routines removed.
	    (CS)
            - more CP/FPMD merging
            - CP/FPMD specific modules moved back from Modules to CPV
            (CC)

25 Nov 2004 workaround for configure problem with systems where you
            can't run interactively [Gerardo]
            All files in FPMD/ moved to CPV/ (CC)
            Documentation updated (PG)

24 Nov 2004 - complete experimental common CP/FPMD XML-like restart .
              CP and FPMD are now linked to a common XML-like
              restart subroutine (see Module/cp_restart.f90 )
            - sph_bes.f90  fix for parallel compilation
            - CPV/input.f90 workaround for xlf internal compiler error
             - imported iotk version 3.1
             - pw_export updated
             (CC)
             Fixed a bug in the way the bessel functions were called.
             Now example10 works again. (C.S.)
             Fixed a bug in the convergence check (highlighted by Nicola 
             Bonini). (C.S.)
             iotk_config.h: Added definitions for lahey compiler. (C.S.)
             Installation mecanism: added F90FLAGS_NOOPT flag [Gerardo]

23 Nov 2004 ion_radius input parameter now specify the real space spread 
            of the pseudocharge gaussian in both cp and fpmd code (CC)

23 Nov 2004 Incorrect call to v_of_rho in pw2casino
            Check on occupancy in lsda calculations re-introduced
            Documentation updated (PG)

22 Nov 2004 use "sort -d" to obtain machine-independent results,
            update dependencies [Gerardo]
            Minor compilation and format problems with g95 (PG)

19 Nov 2004 punch_plot can now write the charge density of each state
            in the noncollinear case (ADC)
            XML like restart for CP/FPMD: Modules/cp_restart.f90 (CC)
            PW/input.f90 cleanup, fixed vc-md bug (PC)
            Routines moved to flib no longer in Makefiles
            Minor problems in parallel compilation (PG)

18 Nov 2004 Reduction in memory requirements for phonon calculation
            with uspp (routine dvanqq) - courtesy of N. Mounet
            Memory leak in Raman code fixed (PG).

17 Nov 2004 Cleanup and merge of spherical bessel function routines (C.S.)
            added script to compute dependencies of a subroutine [Gerardo]

16 Nov 2004 Some non-declared variables explicitly declared (C.S.)

15 Nov 2004 punch_plot can now write the charge density, the total potential
            and V_bare+V_H also in the noncollinear case. (ADC)
            Small update of the documentation in example02. (ADC)

14 Nov 2004 - more FPMD/CP merging
            - new module for merged FPMD/CP restart subroutines
            - starting work on XML restart/punchx  (cp_restart.f90)

5 Nov 2004  Fixed a bug in the way tetrahedra variables were read/written
            on the restart file: since tetra is not alway allocated, the
            read_restart_tetra() and write_restart_tetra() can be called
            with all the arguments IF AND ONLY IF ltetra is true. otherwise
            read_restart_tetra() and write_restart_tetra() must be called
            with only the I/O unit. For further comments on this see the 
            documentation contained in Modules/io_base.f90 (C.S.)

4 Nov 2004   Old parallel variables (such as me mypool) removed everywhere
             Missing GPL headers added to Raman (CS)
             nspin imported twice in force_hub.f90 (Axel)
             Makefiles use now $(MAKE) and $(MFLAGS) as proposed
             by Axel - should allow for the use of GNU make in
             system having broken makefile - please test (PG)
             added autoconf check for make [Gerardo]

3 Nov 2004   path optimization: 
             1) cleanup of the output format (more informative)
             2) some cleanup of internal routines
             3) added a couple of input variables and changed the default value
                of ds from 1.5 to 1.0.
             BFGS optimization:
             1) implemented a mixed BFGS + Murtag-Sargent update of the inverse
                hessian which is generally faster than the pure BFGS
             2) trust_radius_max increased to 0.8 bohr
             3) some cleanup of internal routines
             (CS)
             Old parallel variables (such as me mypool) removed from 
             PH and PP (CS)
             vc-relax was not working: variables lmd and ldamped 
             not set (PC)

1 Nov 2004   more CP/FPMD merging, cleanup (CC)
             Calculation of LDA+U contribution to forces modified:
             should be faster (SdG)
             Example 22 uses the same pseudo generated in
             atomic/gen-pseudo (ADC)
             Makefile and ChangeLog cleanup (PG)
             Electron-phonon coefficient calculation should 
             work also after a restart - to be tested (PG)

30 Oct 2004 - pwcond can now deal with spinor wavefunctions and with
             fully relativistic PPs with spin-orbit. Initial 
             implementation (still quite experimental). (ADC)
             Added an example to calculate the complex band structure
             of Pt with spin-orbit. (ADC)
             Several improvements to the pwcond code. Now much faster. (ADC)

26 Oct 2004  Patches from Axel Kohlmayer:
             - iotk_scan in iotk_module had a mixed up 'intent' statement.
             - sun ultra fire 3 compiler warnings
             - cleanup in filename lenght (brought to 256)
             - cleanup in include files
             Added lapack_atlas for Mac/OS (Pascal Thibadeau)

25 Oct 2004  removed call to check()
             workarounds for g95 bug [Gerardo]
             Print correct CPU time for runs of more than 100h (PG)
             Wrong routine (elphon instead of elphel) called in
             solve_linter: electron-phonon calculation would not work
             if called directly after a phonon calculation (PG)

19 Oct 2004  Minor format changes: examples updated (GB)

15 Oct 2004  - small cleanup in FPMD
             - added XML-like library module (iotk_module version 2.4) 
               written by Giovanni Bussi
             - added pw_export PP utility to convert restart/punch file
               to portable XML format, still experimental, to compile it: 
               make export (for the time being is not included among the 
               "all", make all does not compile it) 
             - memory usage optimized when using SIC       
             - bug fix in SIC calculation
             (CC)

14 Oct 2004  - ncpp2upf.f90 and cpmd2upf.f90: patch from Axel applied 
             - newd.f90 in the PWNC moved to PW. The merging was already done.
               (AdC)
             - work on FPMD for the merging with CP ( grid dimension )
             - bug fix ( ion randomization )
             - SIC updated (CC)

13 Oct 2004  - small manual fixes (AdC)
             - small output changes (CS)
             - Several improvements of the string dynamics.
               Added a use_multistep input variable that allows fourier 
               modes to be gradually included.
               Added a langevin opt_scheme in which the string performs
               a langevin dynamics in the path space.
               In the langevin scheme a canonical sampling of the initial
               and final configurations can also be done "on the fly"
               setting first_last_opt=.TRUE.  (C.S.)
             - Fixed some small bugs in the reset history procedure (C.S.)

11 Oct 2004  bug fix for projected-DOS calculation in lda+U case (SF)
             BUG FIXED in NON COLLINEAR case: in non collinear case the 
             inversion symmetry is not always present because of the
             presence of magnetic field in the Hamiltonian. So in case 
             of nosym the generation of points in -K (recipr. space)
             must not be excluded (AMC)

10 Oct 2004  - Add an extra input variable rc for PAW calculation (in efg.x)
             to be able to specify the radius of the augmentation region for
             atom type i and orbital momentum l rc(i,l)
             Add the variable atomwfc%label%rc and label%nrc to store the 
             radius and the indice of this radius in r() array
             Correct a Bug when an atom has no non-local part in init_paw_1
             that I forgot to submit (MP)

07 Oct 2004  - a new utility virtual.x has been added to upftools 
             that can combine two pseudopotentials in UPF format to 
             produce a third one (in the same format) for the virtual 
             atom Vvirt = x * V1 + (1-x) V2 . For the time being it 
             has only limited functionality as the two pseudos need 
             to be defined on the same radial grid. (SdG)
             - a new utility initial_state.x has been added to PP that
             can computed the core level shift in the initial state
             approximation... in practice the first order derivative of
             the total energy with respect to DeltaV=V(excited)-V(GS).
             It is the analogue (via Janak theorem) of the core eigenvalue
             in the pseudopotential framework where the core electrons
             do not exist. 
             In the present status it require both V(excited) and V(GS) 
             to be defined in the preceeding SCF calculation.  (SdG)

06 Oct 2004  confuigure: revert default to dynamic linking [Gerardo]

28 Sep 2004  release.sh script updated: Raman/ added (PG)
             SUN compilation problem in mp.f90 (PG)
             More cleanup of parallel variables and pwcom/phcom references.
             (C.S.)

27 Sep 2004  Documentation updated (PG)

27 Sep 2004  XLF workarounds no longer needed (the bug in the compiler has
             been fixed).
             Added a serial fft driver for FFTW needed by parallel PWCOND.
             (C.S.)

27 Sep 2004 Atoms are refolded using PBC in "cubefile" format.
            Several minor problems emerged with multiple compilations: 
            - CPV/compute_scf.f90 / FPMD/compute_scf.f90:
              tcpu was used but not initialized in compute_scf().
            - CPV/wf.f90:
              need to include 'f_defs.h' to get MPI_REAL8
            - Modules/wave_base.f90:
              include "f_defs.h" instead of "../include/f_defs.h" to be
              consistent with other files (and allow out-of-place compilation).
            - flib/transto.f90:
              include "opt_param.h" instead of "../include/opt_param.h" to be
              consistent with other files (and allow out-of-place compilation).
            - include/c_defs.h:
              set correct underscoring for alpha machines running linux 
              (discriminated from regular alpha by __LINUX64).
            - configure.ac:
              fix f90 compilation rule for platforms that need explicit
              preprocessing and make it compatible to builds using VPATH.
               support for alpha-linux with compaq compiler 
            (Axel Kohlmeyer)

27 Sep 2004 Bug in Modules/cell_base.f90 (dt2 not defined) fixed
            Bug in CPV/wf.f90 (iss2 not defined) temporarily fixed
            shmem_include only used if __SHMEM macro is defined
            More mergings between CPV and FPMD (init, grids setup)
            (CC)

27 Sep 2004 References to para module replaced (everywhere in PW ) by 
            references to mp_global, pfft, pffts.
            Old parallel variables me and mypool have been replaced by
            me_pool ( = ( me - 1 ) ) and my_pool_id ( = ( mypool - 1) ), 
            defined in mp_global.
            The old combination ( me == 1 .AND. mypool == 1 ) used in the I/O
            should be replaced by the logical variable ionode.
            All parallel variables (communicators included) are properly defined
            in the serial case too, so that "#ifdef __PARA" is not needed.
            (C.S.)
            Fourier String Method Dynamics improved: the number of fourier
            modes used to represent the path are gradually included (starting 
            from one up to num_of_images-2), so that the overall number of scf
            loops needed to reach convergence is considerably reduced (of a
            factor of 2-3). (C.S.)
            matdyn.f90, q2r.f90 modified to work in a parallel environment
            (only the first cpu does the job). (C.S.)
            Cleanup in phonon: variable max_time replaced by max_seconds.
            Doc updated (C.S.)

24 Sep 2004 atomic_number : patch from Axel, fixes the case of 
            atomic symbols with one letter

23 Sep 2004 "make tar" was not saving atomic_doc
            Misc. Alpha compilation errors and warning (PG)

22 Sep 2004 chdens: changes in the calculation of the makov-payne 
            correction. Now the MP term and the dipole are
            calculated using the same box and the same logic (PC)
            added case ifc7 on linux64 [Gerardo]

-------------------------------------------------------------------
Date: 20 Sep 2004    Version: pw-2-1
-------------------------------------------------------------------

20 Sep 2004 Major improvement of PWgui (TK)
            chdens can produce "cubefile" format (Gaussian)
            (contributed by Axel Kohlmeyer)

15 Sep 2004 All examples updated (CC)
            added mpf90, mpcc for Mac, support for ifort 8.1,
            ARCH variable to configure [Gerardo]
            Setup: inequivalent k-points not generated in berry or
            band-structure calculations.(C.S.)
            Path optimizations: added the possibility to write the 
            prefix.save file (logical varible write_save) relative
            to each image (needed for post-processing). (C.S.)
            Berry phase in parallel is implemented only along z.

14 Sep 2004 Allocation of evc when starting from atomic wavefunctions 
            modified so that evc contain only the real number bands and 
            not all the atomic wfcs (they can be much more than the
            number of bands). 
            unified setup.f90 for both collinear and noncollinear case.
            (CS)
            Pseudo-random wave functions initialization,
            independent from number of procs and architecture (CC) 
            Fixes for intel compiler 7.1:
            - pstickset arguments;
            - dummy argument to an external subroutine with implicit 
              dimensions ( i.e. a(:,:) ..... CALL sub( a, ... )
              replaced with a(:,:) ..... CALL sub( a(1,1), .... ) ) (CC)
            Raman with finite differences disabled (doesn't work any longer)
            Misc minor fixes (PG)

13 Sep 2004 Merge of cell dynamics (CC): 
            - same cell dynamics subroutines used in CP and FPMD
            - input pressure in GPa ( both code )
            - Output stress in GPa ( both code )
            - Output layout made more similar:
              energies, positions, forces, cell displayed in the same way
            - Zero velocities after a restart implemented in CP
            - Nose and damped dynamics for cell implemented
              in FPMD like in CP
            - CP main subroutine simplified
            Various GUI changes (TK)
            Minor output format change, examples updated (PG)
            DIIS: small bug-fix and general clean-up of the code.
            ionode substituted by meta_ionode (this because in neb and 
            smd all images have an ionode, but only one image, the one
            identified by meta_ionode, can check stop). (CS)

 8 Sep 2004 configure.old, documentation for configure updated [Gerardo]
            moved install/README.install to README.install_old [Gerardo]

 7 Sep 2004 File diis_module split into three separate files, each 
            containing a module with the same name.
            Fixed some severe bugs. (CS)
            Changed name par2.x to fpmd.x in examples (PG)
            configure: don't try f77 as f90, won't work anyway [Gerardo]

 6 Sep 2004 Example 9 updated (PG)
            changed name par2.x to fpmd.x, documentation updated [Gerardo]

 4 Sep 2004 PWgui updated (TK)

 3 Sep 2004 Manual update, Makefile restructuring (GB)
            Fixed a bug in constrained dynamics (CS)
            dynmat.x: more sensible names for input variables (PG)

 2 Sep 2004 Wrong format in cp fixed (PG).
            INPUT_PW updated, GUI updated to new pwscf version,
            example 17 updated, minor changes to string method dynamics (C.S.)
            Replicated code caused problems with dependencies, fixed;
            added support for efc (alias ifort); README,install updated [GB]
            Examples 12, 13, 22 updated (SF)
            Bug fix: The dipole correction was not working with a 
            non-tetragonal cell. (Contributed by N. Bonini).

 1 Sep 2004 The error message is no longer written on /dev/stderr 
            (on linux clusters), but only on unit *. (C.S.)
            missing ZSYRK and ZSYR2K subroutines added to the 
            local copy of blas (PC)
            Small configure fix for Mac; examples, minor fix (GB)
            Makefile makes links as well - documentation updated.
            dynmat.x may calculate Raman cross sections as well (PG)

30 Aug 2004 Some cleanup of the path code, fixed a small bug in the prefix.dat 
            file. (CS)

27 Aug 2004  Misc Alpha fixes (CS)
             Z* are  written on output in a consistent way (Gernot)
             More merging between CP and FPMD:
             - initialization (both code uses the same ggen)
             - now FPMD initializes the small-boxes too (required for USPP)
             - print out
             (CC)

26 Aug 2004  Example 16 updated, misc cleanup, dynmat updated (PG)
             Changes to use of "fildrho" in phonon, d3, Raman calculationi
             calculation of nonlinear susceptibility fixed, example 15
             updated (Gernot)

25 Aug 2004  Fixed some errors in constrained dynamics. "Fixed atoms" and
             explicit constraints are now compatible when they do not involve
             the same atoms. Fixed a bug in the definition of the tangent
             in the Fourier string method dynamics. (CS)
             Makefiles, examples 8-11 updated. Old Raman code renamed 
             "phcg.f90" in order to avoid confusion with new code (PG)

24 Aug 2004  Fixed a bug in the way the prefix.dat file was written.
             Cleanup of debug code (C.S.)
             Examples 1-7 updated (PG)

23 Aug 2004  Fixed several bugs in the routines for "path-optimization": 
             "reset_vel" input variable was read but not used
             parallelization on images was not properly working
             cleanup in the way ATOMIC_POSITIONS card is readi.
             Minor fixes to compute_scf.f90 (C.S.)
             Minor Mac OS-X fix .

20 Aug 2004  Manuals for PW and CP/FPMD merged  [Gerardo]
             bugfix for configure on AIX [Gerardo]
             Added calculation of the Chemical shift tensor (NMR)
             Reconstruction with GIPAW method
             Totally experimental for the moment (MP)
             Example for electric-field gradient calculation (MP)

19 Aug 2004  Manual update (PHG) . Examples: changed default path from 
             $HOME/O-sesame to $HOME/espresso [Gerardo]
             efg.f90: typos corrected in the printout of various tensors
                      units added to final results
                      sign of off-diagonal terms corrected (MP)
             DIIS: fixed some bugs in the diis procedure.
             Davidson: minor cleanup. (CS)

18 Aug 2004  Duplicated routines "matches", "capital" removed,
             unused case calculation='dispersion' removed (PG)
             Various missing README added, minor manual changes [Gerardo]

18 Aug 2004  NEB code reorganization. All the routines involved in "path" 
             optimization are grouped into modules starting with "path_". 
             The output has been slightly restyled. 
             In the pwscf code (only) has been implemented a version of the 
             string method (calculation='smd') in which the path is represented 
             in Fourier components and the optimization procedure is done on 
             these components (still to be optimized, but working).
             BFGS: Interpolation of the "accepted" bfgs step disabled 
             (not yet safe). (CS)

17 Aug 2004  Initialization of startingpot in the "raman" case fixed 
             Documentation update (PG)

16 Aug 2004  The fix for the problem "PBE on hydrogen atom" (see commit 
             10-05-2004) has been moved from gradcorr.f90 to 
             lsda_functionals.f90 so that both pwscf and the atomic code
             share the same fix (CS)

13 Aug 2004  Documentation for Raman updated (PG)

11 Aug 2004  Manual update and cleanup (GB, PG). 
             Added RANLIB=echo to old Make.* (PG)

 9 Aug 2004  Support for mac-osx added (contributed by Pascal Thibaudeau)
             Extensive documentation update and reshuffling : pwdocs
             and cpdocs merged into Doc (PG)

 9-Aug-2004  NEB restart file modified again: with the current implementation 
             of quick-min pos_old and grad_old need not to be saved in the
             restart file. Logical variables for reset_vel and frozen images
             have been moved from "ENERGIES, POSITIONS AND GRADIENTS" to 
             "QUICK-MIN FIELDS". Old restart files can be easily converted
             removing in the "ENERGIES, POSITIONS AND GRADIENTS" field all 
             logical variables and removing all the "QUICK-MIN FIELDS".
             (CS)

 1 Aug 2004  same variable accessed from 2 different modules, some
             compilers complain, fixed (CC)

ChangeLog for the espresso code - starting Aug. 2004
See ChangeLog.pw and ChangeLog.cp for changes before that date
